---
apiVersion: kubevirt.io/v1
items:
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:43Z"
    finalizers:
    - kubevirt.io/migrationJobFinalize
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: vm-upgrade-a-1761742507-5659654
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:43Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:sourcePod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:26:43Z"
    name: kubevirt-workload-update-7pftd
    namespace: kmp-enabled-for-upgrade
    resourceVersion: "2234963"
    uid: 41896809-589f-4ff0-81c5-b6cf168ff28b
  spec:
    vmiName: vm-upgrade-a-1761742507-5659654
  status:
    migrationState:
      sourcePod: virt-launcher-vm-upgrade-a-1761742507-5659654-pddv9
    phase: Pending
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:43Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:43Z"
    finalizers:
    - kubevirt.io/migrationJobFinalize
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: vm-upgrade-b-1761742547-6666095
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:43Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:sourcePod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:27:13Z"
    name: kubevirt-workload-update-q66l4
    namespace: kmp-enabled-for-upgrade
    resourceVersion: "2235957"
    uid: e6579e3f-24e5-4c56-af99-029d00e1a24c
  spec:
    vmiName: vm-upgrade-b-1761742547-6666095
  status:
    migrationState:
      sourcePod: virt-launcher-vm-upgrade-b-1761742547-6666095-zt6dn
    phase: Scheduling
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:43Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:27:13Z"
kind: VirtualMachineInstanceMigrationList
metadata:
  continue: ""
  resourceVersion: "2239293"
